Index: resources/assets/js/app.min.js
===================================================================
--- resources/assets/js/app.min.js	(revision c6b84df06586305606df5b76204a64cdc63b09a2)
+++ resources/assets/js/app.min.js	(revision 4b7e2d354e16238fe8e560dc6dd0849218183335)
@@ -497,6 +497,6 @@
 /***/ (function(module, exports, __webpack_require__) {
 
-__webpack_require__(/*! C:\wamp64\www\themeforest\nago\resources\js\app.js */"./resources/js/app.js");
-module.exports = __webpack_require__(/*! C:\wamp64\www\themeforest\nago\public\assets\sass\app.scss */"./public/assets/sass/app.scss");
+__webpack_require__("./resources/js/app.js");
+module.exports = __webpack_require__("./public/assets/sass/app.scss");
 
 
Index: resources/assets/js/custom.js
===================================================================
--- resources/assets/js/custom.js	(revision c6b84df06586305606df5b76204a64cdc63b09a2)
+++ resources/assets/js/custom.js	(revision 4b7e2d354e16238fe8e560dc6dd0849218183335)
@@ -108,4 +108,15 @@
     });
 
+    function hasNew(response) {
+
+        for(var i=0; i<response.length; i++) {
+            if(!response[i].isRead) {
+                return true;
+            }
+        }
+
+        return false;
+    }
+
     function notifications() {
 
@@ -160,4 +171,12 @@
         });
     }
+
+    $(".dropdown-notifications-unread .nav-unread").hide();
+    notifications();
+    setInterval(function() { notifications(); }, 5000);
+
+    $(".dropdown-notifications-wrapper").click(function() {
+        $(".dropdown-notifications-unread .nav-unread").hide();
+    });
 
     $(document).on('click', '#btn-layout-builder', function () {
Index: resources/views/auth/create_password.blade.php
===================================================================
--- resources/views/auth/create_password.blade.php	(revision c6b84df06586305606df5b76204a64cdc63b09a2)
+++ resources/views/auth/create_password.blade.php	(revision 4b7e2d354e16238fe8e560dc6dd0849218183335)
@@ -1,5 +1,5 @@
 @extends('layouts.auth')
 
-@section("title", "Create password | TechBlog")
+@section("title", "SaveSpace - Create password")
 
 @section('content')
Index: resources/views/auth/forgot.blade.php
===================================================================
--- resources/views/auth/forgot.blade.php	(revision c6b84df06586305606df5b76204a64cdc63b09a2)
+++ resources/views/auth/forgot.blade.php	(revision 4b7e2d354e16238fe8e560dc6dd0849218183335)
@@ -1,5 +1,5 @@
 @extends('layouts.auth')
 
-@section("title", "Forgot | TechBlog")
+@section("title", "SaveSpace - Forgot")
 
 @section('content')
Index: resources/views/auth/login.blade.php
===================================================================
--- resources/views/auth/login.blade.php	(revision c6b84df06586305606df5b76204a64cdc63b09a2)
+++ resources/views/auth/login.blade.php	(revision 4b7e2d354e16238fe8e560dc6dd0849218183335)
@@ -1,5 +1,5 @@
 @extends('layouts.auth')
 
-@section("title", "Login | SaveSpace")
+@section("title", "SaveSpace | Login")
 
 @section('content')
Index: resources/views/auth/verify.blade.php
===================================================================
--- resources/views/auth/verify.blade.php	(revision c6b84df06586305606df5b76204a64cdc63b09a2)
+++ resources/views/auth/verify.blade.php	(revision 4b7e2d354e16238fe8e560dc6dd0849218183335)
@@ -1,5 +1,5 @@
 @extends('layouts.auth')
 
-@section("title", "Verify | TechBlog")
+@section("title", "SaveSpace - Verify")
 
 @section('content')
Index: resources/views/dashboard/departments/index.blade.php
===================================================================
--- resources/views/dashboard/departments/index.blade.php	(revision c6b84df06586305606df5b76204a64cdc63b09a2)
+++ resources/views/dashboard/departments/index.blade.php	(revision 4b7e2d354e16238fe8e560dc6dd0849218183335)
@@ -2,6 +2,4 @@
 
 @section("title", "SaveSpace - Departments")
-
-@section('pageTitle', 'Departments')
 
 @section('head')
@@ -28,4 +26,5 @@
                 <i class="fa fa-download pr-1"></i> Download files
             </a>
+            <a href="{{ route('dashboard.departments.export') }}" class="btn btn-success text-white">Export table</a>
         </div>
     </div>
@@ -57,7 +56,7 @@
                                     <td></td>
                                     <td>{{$department->id }}</td>
-                                    <td>{{ $department->name }}</td>
+                                    <td><a href="{{ route("dashboard.folders.index", ['id' => $department->id]) }}" class="text-linkedin">{{ $department->name }}</a></td>
                                     <td>{{ $department->code }}</td>
-                                    <td>{{ $department->folder->count() }}</td>
+                                    <td>{{ $department->no_of_folders }}</td>
                                     <td>{{ $department->getCreatedByName() }}</td>
                                     <td>{{ date('d.m.Y - H:i', strtotime($department->created_at)) }}</td>
Index: resources/views/dashboard/files/index.blade.php
===================================================================
--- resources/views/dashboard/files/index.blade.php	(revision c6b84df06586305606df5b76204a64cdc63b09a2)
+++ resources/views/dashboard/files/index.blade.php	(revision 4b7e2d354e16238fe8e560dc6dd0849218183335)
@@ -2,6 +2,4 @@
 
 @section("title", "SaveSpace - Files")
-
-@section('pageTitle', 'Files')
 
 @section('head')
Index: resources/views/dashboard/folders/files.blade.php
===================================================================
--- resources/views/dashboard/folders/files.blade.php	(revision c6b84df06586305606df5b76204a64cdc63b09a2)
+++ resources/views/dashboard/folders/files.blade.php	(revision 4b7e2d354e16238fe8e560dc6dd0849218183335)
@@ -2,7 +2,4 @@
 
 @section("title", "SaveSpace - Folder")
-
-@section('pageTitle', 'SaveSpace - Folder')
-
 
 @section('content')
@@ -103,5 +100,5 @@
                                     </a>
                                     <div class="dropdown-menu dropdown-menu-right">
-                                        <a href="javascript:void(0)" class="dropdown-item" data-toggle="modal" data-target="#editModal_{{$file->id}}">
+                                        <a href="javascript:void(0)" class="dropdown-item" data-toggle="modal" data-target="#editFileModal_{{$file->id}}">
                                             Rename
                                         </a>
@@ -147,5 +144,5 @@
                     </div>
 
-                    <div class="modal fade" id="editModal_{{$file->id}}" tabindex="-1" role="dialog" aria-hidden="true">
+                    <div class="modal fade" id="editFileModal_{{$file->id}}" tabindex="-1" role="dialog" aria-hidden="true">
                         <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
                             <div class="modal-content">
@@ -176,4 +173,72 @@
                                     </form>
                                 </div>
+                            </div>
+                        </div>
+                    </div>
+                @empty
+                    <div class="col-xl-3 col-lg-4 col-md-6 col-sm-12">No items found</div>
+                @endforelse
+
+                    <div class="modal fade" id="editModal_{{$folder->id}}" tabindex="-1" role="dialog" aria-hidden="true">
+                        <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
+                            <div class="modal-content">
+                                <div class="modal-header">
+                                    <h5 class="modal-title" id="exampleModalCenterTitle">Edit folder</h5>
+                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
+                                        <i class="ti-close"></i>
+                                    </button>
+                                </div>
+                                <div class="modal-body">
+                                    <form action="{{ route("dashboard.folders.edit", ["id" => $folder->id]) }}" method="post" accept-charset="utf-8" enctype="multipart/form-data">
+                                        @method("patch")
+                                        @csrf
+                                        <div class="row">
+                                            <div class="col-md-6">
+                                                <div class="form-group">
+                                                    <label>Department</label>
+                                                    <select class="form-control edit_folder_deparment" name="department" required>
+                                                        @foreach ($departments as $department)
+                                                            <option value="{{ $department->id }}" data-dept-code="{{ $department->code }}" {{ old("department", $folder->department->id) == $department->id ? "selected" : "" }}>{{ $department->name }}</option>
+                                                        @endforeach
+                                                    </select>
+                                                </div>
+                                            </div>
+                                            <div class="col-md-6">
+                                                <div class="form-group">
+                                                    <label>Archive ID</label>
+                                                    <input type="text" name="arch_id" value="{{ old("arch_id", $folder->arch_id) }}" class="form-control" placeholder="Archive ID" required>
+                                                </div>
+                                            </div>
+                                        </div>
+                                        <div class="row">
+                                            <div class="col-md-6">
+                                                <div class="form-group">
+                                                    <label>Name</label>
+                                                    <input type="text" name="name" value="{{ old("name", $folder->name) }}" class="form-control" placeholder="Name" minlength="2" maxlength="30" required>
+                                                </div>
+                                            </div>
+                                            <div class="col-md-6">
+                                                <div class="form-group">
+                                                    <label>Note</label>
+                                                    <textarea class="form-control" name="note" maxlength="80">
+                                                        {{ old("note", $folder->note) }}
+                                                    </textarea>
+                                                </div>
+                                            </div>
+                                        </div>
+                                        <div class="row">
+                                            <div class="col-md-6">
+                                                <input type="file" class="form-control" id="file-item" name="file_item[]" accept="{{ $fileTypes }}" multiple>
+                                            </div>
+                                        </div>
+                                        <br/>
+                                        <div class="modal-footer">
+                                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
+                                            </button>
+                                            <button type="submit" class="btn btn-primary">Save changes</button>
+                                        </div>
+                                    </form>
+                                </div>
+
                             </div>
                         </div>
@@ -255,7 +320,4 @@
                         </div>
                     </div>
-                @empty
-                    <div class="col-xl-3 col-lg-4 col-md-6 col-sm-12">No items found</div>
-                @endforelse
             </div>
 
@@ -266,69 +328,4 @@
         </div>
 
-        <div class="modal fade" id="editModal_{{$folder->id}}" tabindex="-1" role="dialog" aria-hidden="true">
-            <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
-                <div class="modal-content">
-                    <div class="modal-header">
-                        <h5 class="modal-title" id="exampleModalCenterTitle">Edit folder</h5>
-                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
-                            <i class="ti-close"></i>
-                        </button>
-                    </div>
-                    <div class="modal-body">
-                        <form action="{{ route("dashboard.folders.edit", ["id" => $folder->id]) }}" method="post" accept-charset="utf-8" enctype="multipart/form-data">
-                            @method("patch")
-                            @csrf
-                            <div class="row">
-                                <div class="col-md-6">
-                                    <div class="form-group">
-                                        <label>Folder</label>
-                                        <select class="form-control edit_folder_deparment" name="department" required>
-                                            @foreach ($departments as $department)
-                                                <option value="{{ $department->id }}" data-dept-code="{{ $department->code }}" {{ old("department", $folder->department->id) == $department->id ? "selected" : "" }}>{{ $department->name }}</option>
-                                            @endforeach
-                                        </select>
-                                    </div>
-                                </div>
-                                <div class="col-md-6">
-                                    <div class="form-group">
-                                        <label>Archive ID</label>
-                                        <input type="text" name="arch_id" value="{{ old("arch_id", $folder->arch_id) }}" class="form-control" placeholder="Archive ID" required>
-                                    </div>
-                                </div>
-                            </div>
-                            <div class="row">
-                                <div class="col-md-6">
-                                    <div class="form-group">
-                                        <label>Name</label>
-                                        <input type="text" name="name" value="{{ old("name", $folder->name) }}" class="form-control" placeholder="Name" minlength="2" maxlength="30" required>
-                                    </div>
-                                </div>
-                                <div class="col-md-6">
-                                    <div class="form-group">
-                                        <label>Note</label>
-                                        <textarea class="form-control" name="note" maxlength="80">
-                                                        {{ old("note", $folder->note) }}
-                                                    </textarea>
-                                    </div>
-                                </div>
-                            </div>
-                            <div class="row">
-                                <div class="col-md-6">
-                                    <input type="file" class="form-control" id="file-item" name="file_item[]" accept="{{ $fileTypes }}" multiple>
-                                </div>
-                            </div>
-                            <br/>
-                            <div class="modal-footer">
-                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
-                                </button>
-                                <button type="submit" class="btn btn-primary">Save changes</button>
-                            </div>
-                        </form>
-                    </div>
-
-                </div>
-            </div>
-        </div>
-
     </div>
 
Index: resources/views/dashboard/folders/index.blade.php
===================================================================
--- resources/views/dashboard/folders/index.blade.php	(revision c6b84df06586305606df5b76204a64cdc63b09a2)
+++ resources/views/dashboard/folders/index.blade.php	(revision 4b7e2d354e16238fe8e560dc6dd0849218183335)
@@ -2,6 +2,4 @@
 
 @section("title", "SaveSpace - Folders")
-
-@section('pageTitle', 'SaveSpace - Folders')
 
 @section('content')
@@ -93,7 +91,9 @@
                                     <a class="dropdown-item" href="{{ URL::current()."?id=".Request::get('id')."&sort=newest" }}">Date</a>
                                     <a class="dropdown-item" href="{{ URL::current()."?id=".Request::get('id')."&sort=name" }}">Name</a>
+                                    <a class="dropdown-item" href="{{ URL::current()."?id=".Request::get('id')."&sort=no_of_files" }}">Number of files</a>
                                 @else
                                     <a class="dropdown-item" href="{{ URL::current()."?sort=newest" }}">Date</a>
                                     <a class="dropdown-item" href="{{ URL::current()."?sort=name" }}">Name</a>
+                                    <a class="dropdown-item" href="{{ URL::current()."?sort=no_of_files" }}">Number of files</a>
                                 @endif
                             </div>
@@ -240,4 +240,32 @@
                     </div>
 
+                    <div class="modal fade" id="deleteModal_{{$folder->id}}" tabindex="-1" role="dialog" aria-hidden="true">
+                        <div class="modal-dialog modal-dialog-centered" role="document">
+                            <div class="modal-content">
+                                <div class="modal-header">
+                                    <h5 class="modal-title" id="exampleModalCenterTitle">Delete confirmation</h5>
+                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
+                                        <i class="ti-close"></i>
+                                    </button>
+                                </div>
+                                <div class="modal-body">
+                                    <form action="{{ route("dashboard.folders.destroy", $folder->id) }}" method="POST">
+                                        @csrf
+                                        @method('DELETE')
+                                        <p>Are you sure you want to delete folder {{$folder->name}} with Archive ID: {{ $folder->arch_id }}?</p>
+                                        <div class="modal-footer">
+                                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
+                                            </button>
+                                            <button type="submit" class="btn btn-primary">Save changes</button>
+                                        </div>
+                                    </form>
+                                </div>
+                            </div>
+                        </div>
+                    </div>
+                @empty
+                    <div class="col-xl-3 col-lg-4 col-md-6 col-sm-12">No items found</div>
+                @endforelse
+
                     <div class="modal fade" id="createModal" tabindex="-1" role="dialog" aria-hidden="true">
                         <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
@@ -316,32 +344,4 @@
                     </div>
 
-                    <div class="modal fade" id="deleteModal_{{$folder->id}}" tabindex="-1" role="dialog" aria-hidden="true">
-                        <div class="modal-dialog modal-dialog-centered" role="document">
-                            <div class="modal-content">
-                                <div class="modal-header">
-                                    <h5 class="modal-title" id="exampleModalCenterTitle">Delete confirmation</h5>
-                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
-                                        <i class="ti-close"></i>
-                                    </button>
-                                </div>
-                                <div class="modal-body">
-                                    <form action="{{ route("dashboard.folders.destroy", $folder->id) }}" method="POST">
-                                        @csrf
-                                        @method('DELETE')
-                                        <p>Are you sure you want to delete folder {{$folder->name}} with Archive ID: {{ $folder->arch_id }}?</p>
-                                        <div class="modal-footer">
-                                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
-                                            </button>
-                                            <button type="submit" class="btn btn-primary">Save changes</button>
-                                        </div>
-                                    </form>
-                                </div>
-                            </div>
-                        </div>
-                    </div>
-                @empty
-                    <div class="col-xl-3 col-lg-4 col-md-6 col-sm-12">No items found</div>
-                @endforelse
-
             </div>
             @if(!Request::query('search'))
Index: resources/views/dashboard/index.blade.php
===================================================================
--- resources/views/dashboard/index.blade.php	(revision c6b84df06586305606df5b76204a64cdc63b09a2)
+++ resources/views/dashboard/index.blade.php	(revision 4b7e2d354e16238fe8e560dc6dd0849218183335)
@@ -1,17 +1,11 @@
 @extends('layouts.app')
 
+@section("title", "SaveSpace - Dashboard")
+
 @section('head')
-    <!-- Slick -->
-    <link rel="stylesheet" href="{{ url('/vendors/slick/slick.css') }}" type="text/css">
-    <link rel="stylesheet" href="{{ url('/vendors/slick/slick-theme.css') }}" type="text/css">
-
-    <!-- Daterangepicker -->
-    <link rel="stylesheet" href="{{ url('vendors/datepicker/daterangepicker.css') }}" type="text/css">
 
     <!-- DataTable -->
     <link rel="stylesheet" href="{{ url('vendors/dataTable/datatables.min.css') }}" type="text/css">
 @endsection
-
-@section('pageTitle', 'Dashboard')
 
 @section('content')
@@ -58,5 +52,5 @@
                             <div class="d-flex justify-content-between mb-3">
                                 <div>
-                                    <p class="text-muted">Total Folders</p>
+                                    <p class="text-muted">Number of folders</p>
                                     <h2 class="font-weight-bold">{{ $folders->count() }}</h2>
                                 </div>
@@ -103,120 +97,13 @@
     </div>
 
-    <div class="row">
-        <div class="col-lg-8 col-md-12">
-            <div class="card">
-                <div class="card-body">
-                    <div class="d-flex justify-content-between">
-                        <h6 class="card-title">Revenue</h6>
-                        <div>
-                            <a href="#" class="btn btn-outline-light btn-sm mr-2">
-                                <i class="fa fa-refresh"></i>
-                            </a>
-                            <div class="dropdown">
-                                <a href="#" data-toggle="dropdown"
-                                   class="btn btn-outline-light btn-sm"
-                                   aria-haspopup="true" aria-expanded="false">
-                                    <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
-                                </a>
-                                <div class="dropdown-menu dropdown-menu-right">
-                                    <a class="dropdown-item" href="#">Action</a>
-                                    <a class="dropdown-item" href="#">Another action</a>
-                                    <a class="dropdown-item" href="#">Something else here</a>
-                                </div>
-                            </div>
-                        </div>
-                    </div>
-                    <div class="row mb-3">
-                        <div class="col-lg-4">
-                            <p class="mb-2">This Week</p>
-                            <div class="d-flex align-items-end">
-                                <h2 class="mb-0 line-height-30 font-size-35">$235</h2>
-                                <span class="text-success small ml-2 d-flex align-items-center">
-                                    <span class="ti-arrow-up mr-2"></span>
-                                    <span class="badge badge-success rounded d-inline-flex align-items-center">1.9%</span>
-                                </span>
-                            </div>
-                        </div>
-                        <div class="col-lg-4">
-                            <p class="mb-2">Last Week</p>
-                            <div class="d-flex align-items-end">
-                                <h2 class="mb-0 line-height-30 font-size-35">$5,180</h2>
-                                <span class="text-danger small ml-2 d-flex align-items-center">
-                                    <span class="ti-arrow-down mr-2"></span>
-                                    <span class="badge badge-danger rounded d-inline-flex align-items-center">1.9%</span>
-                                </span>
-                            </div>
-                        </div>
-                    </div>
-                    <div id="revenue"></div>
-                </div>
-            </div>
-
-        </div>
-        <div class="col-lg-4 col-md-12">
-            <div class="card">
-                <div class="card-body">
-                    <div class="d-flex justify-content-between">
-                        <h6 class="card-title">Hot Products</h6>
-                        <div>
-                            <div class="dropdown">
-                                <a href="#" data-toggle="dropdown"
-                                   class="btn btn-outline-light btn-sm"
-                                   aria-haspopup="true" aria-expanded="false">
-                                    <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
-                                </a>
-                                <div class="dropdown-menu dropdown-menu-right">
-                                    <a class="dropdown-item" href="#">Action</a>
-                                    <a class="dropdown-item" href="#">Another action</a>
-                                    <a class="dropdown-item" href="#">Something else here</a>
-                                </div>
-                            </div>
-                        </div>
-                    </div>
-                    <div id="hot-products"></div>
-                    <div>
-                        <ul class="list-group list-group-flush">
-                            <li class="list-group-item pl-0 pr-0">
-                                <i class="fa fa-circle mr-1 text-secondary"></i> Iphone
-                            </li>
-                            <li class="list-group-item pl-0 pr-0">
-                                <i class="fa fa-circle mr-1 text-warning"></i> Samsung
-                            </li>
-                            <li class="list-group-item pl-0 pr-0">
-                                <i class="fa fa-circle mr-1 text-info"></i> Huawei
-                            </li>
-                            <li class="list-group-item pl-0 pr-0">
-                                <i class="fa fa-circle mr-1 text-success"></i> General Mobile
-                            </li>
-                            <li class="list-group-item pl-0 pr-0">
-                                <i class="fa fa-circle mr-1 text-danger"></i> Xiaomi
-                            </li>
-                        </ul>
-                    </div>
-                </div>
-            </div>
-        </div>
-    </div>
 
     <div class="card">
         <div class="card-body">
             <div class="d-flex justify-content-between">
-                <h6 class="card-title">Recent Orders</h6>
+                <h6 class="card-title">Recent Files</h6>
                 <div>
-                    <a href="#" class="btn btn-outline-light btn-sm mr-2">
+                    <a href="{{route("dashboard.index")}}" class="btn btn-outline-light btn-sm mr-2">
                         <i class="fa fa-refresh"></i>
                     </a>
-                    <div class="dropdown">
-                        <a href="#" data-toggle="dropdown"
-                           class="btn btn-outline-light btn-sm"
-                           aria-haspopup="true" aria-expanded="false">
-                            <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
-                        </a>
-                        <div class="dropdown-menu dropdown-menu-right">
-                            <a class="dropdown-item" href="#">Action</a>
-                            <a class="dropdown-item" href="#">Another action</a>
-                            <a class="dropdown-item" href="#">Something else here</a>
-                        </div>
-                    </div>
                 </div>
             </div>
@@ -227,276 +114,140 @@
                             <thead>
                             <tr>
-                                <th>ID</th>
-                                <th>Product Name</th>
-                                <th>Customer</th>
-                                <th>Total Price</th>
-                                <th>Status</th>
-                                <th>Date</th>
-                                <th>Action</th>
+                                <th>
+                                </th>
+                                <th>Image</th>
+                                <th>Name</th>
+                                <th>Created at</th>
+                                <th>Updated at</th>
+                                <th>Folder name</th>
+                                <th>Folder archive ID</th>
+                                <th>Directory</th>
+                                <th>Actions</th>
                             </tr>
                             </thead>
                             <tbody>
-                            <tr>
-                                <td>
-                                    <a href="#">3145</a>
-                                </td>
-                                <td>
-                                    <a href="testproduct-detail') }}" class="d-flex align-items-center">
-                                        <img width="40" src="{{ url('assets/media/image/products/product1.png') }}"
-                                             class="rounded mr-3" alt="grape">
-                                        <span>HP Pavilion 15-EC0005NT AMD</span>
-                                    </a>
-                                </td>
-                                <td>Dollie Bullock</td>
-                                <td>$230</td>
-                                <td>
-                                    <span
-                                        class="badge bg-secondary-bright text-secondary">On pre-order (not paid)</span>
-                                </td>
-                                <td>2018/08/28 21:24:36</td>
-                                <td>
-                                    <a href="#" class="text-secondary" data-toggle="tooltip" title="Edit">
-                                        <i class="ti-pencil"></i>
-                                    </a>
-                                    <a href="#" class="text-danger ml-2" data-toggle="tooltip" title="Delete">
-                                        <i class="ti-trash"></i>
-                                    </a>
-                                </td>
-                            </tr>
-                            <tr>
-                                <td>
-                                    <a href="#">7321</a>
-                                </td>
-                                <td>
-                                    <a href="testproduct-detail') }}" class="d-flex align-items-center">
-                                        <img width="40" src="{{ url('assets/media/image/products/product2.png') }}"
-                                             class="rounded mr-3" alt="banana">
-                                        <span>Samsung Galaxy A51 128 GB</span>
-                                    </a>
-                                </td>
-                                <td>Holmes Hines</td>
-                                <td>$300</td>
-                                <td>
-                                    <span class="badge bg-success-bright text-success">Payment accepted</span>
-                                </td>
-                                <td>2018/08/28 21:24:36</td>
-                                <td>
-                                    <a href="#" class="text-secondary" data-toggle="tooltip" title="Edit">
-                                        <i class="ti-pencil"></i>
-                                    </a>
-                                    <a href="#" class="text-danger ml-2" data-toggle="tooltip" title="Delete">
-                                        <i class="ti-trash"></i>
-                                    </a>
-                                </td>
-                            </tr>
-                            <tr>
-                                <td>
-                                    <a href="#">9342</a>
-                                </td>
-                                <td>
-                                    <a href="testproduct-detail') }}" class="d-flex align-items-center">
-                                        <img width="40" src="{{ url('assets/media/image/products/product3.png') }}"
-                                             class="rounded mr-3" alt="cherry">
-                                        <span>Snopy SN-BT96 Pretty</span>
-                                    </a>
-                                </td>
-                                <td>Serena Glover</td>
-                                <td>$250</td>
-                                <td>
-                                    <span class="badge bg-danger-bright text-danger">Payment error</span>
-                                </td>
-                                <td>2018/08/28 21:24:36</td>
-                                <td>
-                                    <a href="#" class="text-secondary" data-toggle="tooltip" title="Edit">
-                                        <i class="ti-pencil"></i>
-                                    </a>
-                                    <a href="#" class="text-danger ml-2" data-toggle="tooltip" title="Delete">
-                                        <i class="ti-trash"></i>
-                                    </a>
-                                </td>
-                            </tr>
-                            <tr>
-                                <td>
-                                    <a href="#">6416</a>
-                                </td>
-                                <td>
-                                    <a href="testproduct-detail') }}" class="d-flex align-items-center">
-                                        <img width="40" src="{{ url('assets/media/image/products/product4.png') }}"
-                                             class="rounded mr-3" alt="papaya">
-                                        <span>Ultimate Ears Wonderboom</span>
-                                    </a>
-                                </td>
-                                <td>Dianne Prince</td>
-                                <td>$550</td>
-                                <td>
-                                    <span class="badge bg-success-bright text-success">Payment accepted</span>
-                                </td>
-                                <td>2018/08/28 21:24:36</td>
-                                <td>
-                                    <a href="#" class="text-secondary" data-toggle="tooltip" title="Edit">
-                                        <i class="ti-pencil"></i>
-                                    </a>
-                                    <a href="#" class="text-danger ml-2" data-toggle="tooltip" title="Delete">
-                                        <i class="ti-trash"></i>
-                                    </a>
-                                </td>
-                            </tr>
-                            <tr>
-                                <td>
-                                    <a href="#">92327</a>
-                                </td>
-                                <td>
-                                    <a href="testproduct-detail') }}" class="d-flex align-items-center">
-                                        <img width="40" src="{{ url('assets/media/image/products/product5.png') }}"
-                                             class="rounded mr-3" alt="pig">
-                                        <span>Canon Pixma E3140 Printer</span>
-                                    </a>
-                                </td>
-                                <td>Morgan Pitts</td>
-                                <td>$280</td>
-                                <td>
-                                    <span class="badge bg-warning-bright text-warning">Preparing the order</span>
-                                </td>
-                                <td>2018/08/28 21:24:36</td>
-                                <td>
-                                    <a href="#" class="text-secondary" data-toggle="tooltip" title="Edit">
-                                        <i class="ti-pencil"></i>
-                                    </a>
-                                    <a href="#" class="text-danger ml-2" data-toggle="tooltip" title="Delete">
-                                        <i class="ti-trash"></i>
-                                    </a>
-                                </td>
-                            </tr>
-                            <tr>
-                                <td>
-                                    <a href="#">3013</a>
-                                </td>
-                                <td>
-                                    <a href="testproduct-detail') }}" class="d-flex align-items-center">
-                                        <img width="40" src="{{ url('assets/media/image/products/product6.png') }}"
-                                             class="rounded mr-3" alt="pineapple">
-                                        <span>Canon 4000D 18-55 MM</span>
-                                    </a>
-                                </td>
-                                <td>Merrill Richardson</td>
-                                <td>$128</td>
-                                <td>
-                                    <span class="badge bg-info-bright text-info">Awaiting PayPal payment</span>
-                                </td>
-                                <td>2018/08/28 21:24:36</td>
-                                <td>
-                                    <a href="#" class="text-secondary" data-toggle="tooltip" title="Edit">
-                                        <i class="ti-pencil"></i>
-                                    </a>
-                                    <a href="#" class="text-danger ml-2" data-toggle="tooltip" title="Delete">
-                                        <i class="ti-trash"></i>
-                                    </a>
-                                </td>
-                            </tr>
-                            <tr>
-                                <td>
-                                    <a href="#">10323</a>
-                                </td>
-                                <td>
-                                    <a href="testproduct-detail') }}" class="d-flex align-items-center">
-                                        <img width="40" src="{{ url('assets/media/image/products/product7.png') }}"
-                                             class="rounded mr-3" alt="pomegranate">
-                                        <span>Lenovo Tab E10 TB-X104F 32GB 10.1"</span>
-                                    </a>
-                                </td>
-                                <td>Krista Mathis</td>
-                                <td>$500</td>
-                                <td>
-                                    <span class="badge bg-secondary-bright text-secondary">Shipped</span>
-                                </td>
-                                <td>2018/08/28 21:24:36</td>
-                                <td>
-                                    <a href="#" class="text-secondary" data-toggle="tooltip" title="Edit">
-                                        <i class="ti-pencil"></i>
-                                    </a>
-                                    <a href="#" class="text-danger ml-2" data-toggle="tooltip" title="Delete">
-                                        <i class="ti-trash"></i>
-                                    </a>
-                                </td>
-                            </tr>
-                            <tr>
-                                <td>
-                                    <a href="#">4218</a>
-                                </td>
-                                <td>
-                                    <a href="testproduct-detail') }}" class="d-flex align-items-center">
-                                        <img width="40" src="{{ url('assets/media/image/products/product8.png') }}"
-                                             class="rounded mr-3" alt="raspberry">
-                                        <span>Samsung 55Q60RAT 55"</span>
-                                    </a>
-                                </td>
-                                <td>Frankie Hewitt</td>
-                                <td>$300</td>
-                                <td>
-                                    <span class="badge bg-success-bright text-success">Remote payment accepted</span>
-                                </td>
-                                <td>2018/08/28 21:24:36</td>
-                                <td>
-                                    <a href="#" class="text-secondary" data-toggle="tooltip" title="Edit">
-                                        <i class="ti-pencil"></i>
-                                    </a>
-                                    <a href="#" class="text-danger ml-2" data-toggle="tooltip" title="Delete">
-                                        <i class="ti-trash"></i>
-                                    </a>
-                                </td>
-                            </tr>
-                            <tr>
-                                <td>
-                                    <a href="#">3158</a>
-                                </td>
-                                <td>
-                                    <a href="testproduct-detail') }}" class="d-flex align-items-center">
-                                        <img width="40" src="{{ url('assets/media/image/products/product9.png') }}"
-                                             class="rounded mr-3" alt="strawberry">
-                                        <span>Toshiba Canvio Basic 1TB 2.5"</span>
-                                    </a>
-                                </td>
-                                <td>Hayden Fitzgerald</td>
-                                <td>$200</td>
-                                <td>
-                                    <span class="badge bg-success-bright text-success">Delivered</span>
-                                </td>
-                                <td>2018/08/28 21:24:36</td>
-                                <td>
-                                    <a href="#" class="text-secondary" data-toggle="tooltip" title="Edit">
-                                        <i class="ti-pencil"></i>
-                                    </a>
-                                    <a href="#" class="text-danger ml-2" data-toggle="tooltip" title="Delete">
-                                        <i class="ti-trash"></i>
-                                    </a>
-                                </td>
-                            </tr>
-                            <tr>
-                                <td>
-                                    <a href="#">9610</a>
-                                </td>
-                                <td>
-                                    <a href="testproduct-detail') }}" class="d-flex align-items-center">
-                                        <img width="40" src="{{ url('assets/media/image/products/product10.png') }}"
-                                             class="rounded mr-3" alt="watermelon">
-                                        <span>Fms Wireless Controller</span>
-                                    </a>
-                                </td>
-                                <td>Cole Holcomb</td>
-                                <td>$700</td>
-                                <td>
-                                    <span
-                                        class="badge bg-secondary-bright text-secondary">On pre-order (not paid)</span>
-                                </td>
-                                <td>2018/08/28 21:24:36</td>
-                                <td>
-                                    <a href="#" class="text-secondary" data-toggle="tooltip" title="Edit">
-                                        <i class="ti-pencil"></i>
-                                    </a>
-                                    <a href="#" class="text-danger ml-2" data-toggle="tooltip" title="Delete">
-                                        <i class="ti-trash"></i>
-                                    </a>
-                                </td>
-                            </tr>
+                            @foreach($recentFiles as $file)
+                                <tr>
+                                    <td></td>
+                                    <td>
+                                        @if(in_array(explode('.', $file->name)[1], $excelExt))
+                                            <div class="col-xl-1 col-lg-1 col-md-1 col-sm-2">
+                                                <i class="fa fa-file-excel-o text-success fa-2x"></i>
+                                            </div>
+                                        @else @if(in_array(explode('.', $file->name)[1], $textExt))
+                                            <div class="col-xl-1 col-lg-1 col-md-1 col-sm-2">
+                                                <i class="fa fa-file-word-o text-info fa-2x"></i>
+                                            </div>
+                                        @else @if(explode('.', $file->name)[1] == 'pdf')
+                                                <div class="col-xl-1 col-lg-1 col-md-1 col-sm-2">
+                                                    <i class="fa fa-file-pdf-o text-danger fa-2x"></i>
+                                                </div>
+                                            @else @if(in_array(explode('.', $file->name)[1], $imageExt))
+                                                    <div class="col-xl-1 col-lg-1 col-md-1 col-sm-2">
+                                                        <a href="{{ url('/uploads/' . $file->location) }}" class="image-popup-gallery-item">
+                                                            <div class="image-hover">
+                                                                <img src="{{ url('/uploads/' . $file->location) }}" class="rounded" width="30" alt="image">
+                                                            </div>
+                                                        </a>
+                                                    </div>
+                                                @else
+                                                    <div class="col-xl-1 col-lg-1 col-md-1 col-sm-2">
+                                                        <i class="fa fa-file-text-o text-warning fa-2x"></i>
+                                                    </div>
+                                                @endif
+                                            @endif
+                                        @endif
+                                        @endif
+
+
+                                    </td>
+                                    <td>{{ $file->name }}</td>
+                                    <td>{{ date('d.m.Y - H:i', strtotime($file->created_at)) }}</td>
+                                    @if($file->updated_at==NULL)
+                                        <td>/</td>
+                                    @else
+                                        <td>{{ date('d.m.Y - H:i', strtotime($file->updated_at)) }}</td>
+                                    @endif
+                                    <td><a href="{{ route('dashboard.folders.files', ['id' => $file->folder_id]) }}" class="text-linkedin">{{ \App\Models\Folder::find($file->folder_id)->name }}</a></td>
+                                    <td>{{ \App\Models\Folder::find($file->folder_id)->arch_id }}</td>
+                                    <!-- Trigger -->
+                                    <td><button data-clipboard-text="{{$file->location}}" class="btn btn-sm btn-primary text-white" data-toggle="tooltip" data-placement="right" title="{{$file->location}}"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-clipboard" viewBox="0 0 16 16">
+                                                <path d="M4 1.5H3a2 2 0 0 0-2 2V14a2 2 0 0 0 2 2h10a2 2 0 0 0 2-2V3.5a2 2 0 0 0-2-2h-1v1h1a1 1 0 0 1 1 1V14a1 1 0 0 1-1 1H3a1 1 0 0 1-1-1V3.5a1 1 0 0 1 1-1h1v-1z"/>
+                                                <path d="M9.5 1a.5.5 0 0 1 .5.5v1a.5.5 0 0 1-.5.5h-3a.5.5 0 0 1-.5-.5v-1a.5.5 0 0 1 .5-.5h3zm-3-1A1.5 1.5 0 0 0 5 1.5v1A1.5 1.5 0 0 0 6.5 4h3A1.5 1.5 0 0 0 11 2.5v-1A1.5 1.5 0 0 0 9.5 0h-3z"/>
+                                            </svg></button>
+                                    </td>
+                                    <td>
+                                        <a href="javascript:void(0)" class="text-secondary" data-toggle="modal" data-target="#editModal_{{$file->id}}" title="Edit">
+                                            <i class="ti-pencil"></i>
+                                        </a>
+                                        <a href="{{ route("dashboard.files.downloadFile", ['id' => $file->id]) }}" class="text-danger ml-2"title="Download">
+                                            <i class="ti-download"></i>
+                                        </a>
+                                        <a href="javascript:void(0)" class="text-danger ml-2" data-toggle="modal" data-target="#deleteModal_{{$file->id}}" title="Delete">
+                                            <i class="ti-trash"></i>
+                                        </a>
+                                    </td>
+                                </tr>
+                                <div class="modal fade" id="deleteModal_{{$file->id}}" tabindex="-1" role="dialog" aria-hidden="true">
+                                    <div class="modal-dialog modal-dialog-centered" role="document">
+                                        <div class="modal-content">
+                                            <div class="modal-header">
+                                                <h5 class="modal-title" id="exampleModalCenterTitle">Delete confirmation</h5>
+                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
+                                                    <i class="ti-close"></i>
+                                                </button>
+                                            </div>
+                                            <div class="modal-body">
+                                                <form action="{{ route("dashboard.files.deleteFile", $file->id) }}" method="POST">
+                                                    @csrf
+                                                    @method('DELETE')
+                                                    <p>Are you sure you want to delete file {{$file->name}}?</p>
+                                                    <p>Location: <span class="pr-1">{{$file->location}}</span></p>
+                                                    <div class="modal-footer">
+                                                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
+                                                        </button>
+                                                        <button type="submit" class="btn btn-primary">Save changes</button>
+                                                    </div>
+                                                </form>
+                                            </div>
+
+                                        </div>
+                                    </div>
+                                </div>
+
+                                <div class="modal fade" id="editModal_{{$file->id}}" tabindex="-1" role="dialog" aria-hidden="true">
+                                    <div class="modal-dialog modal-dialog-centered" role="document">
+                                        <div class="modal-content">
+                                            <div class="modal-header">
+                                                <h5 class="modal-title" id="exampleModalCenterTitle">Rename file</h5>
+                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
+                                                    <i class="ti-close"></i>
+                                                </button>
+                                            </div>
+                                            <div class="modal-body">
+                                                <form action="{{ route("dashboard.files.renameFile", ["id" =>$file->id]) }}" method="post" accept-charset="utf-8">
+                                                    @method("patch")
+                                                    @csrf
+                                                    <div class="row">
+                                                        <div class="col-md-12">
+                                                            <div class="form-group">
+                                                                <label class="form-label">Current name: {{$file->name}}</label>
+                                                                <input type="text" name="name" value="{{ explode('.', $file->name)[0] }}" maxlength="255" title="Don't include: '\/.|'" pattern="^[^.\/|]+$" class="form-control" required>
+                                                            </div>
+                                                        </div>
+                                                    </div>
+                                                    <br/>
+                                                    <div class="modal-footer">
+                                                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
+                                                        </button>
+                                                        <button type="submit" class="btn btn-primary">Save changes</button>
+                                                    </div>
+                                                </form>
+                                            </div>
+
+                                        </div>
+                                    </div>
+                                </div>
+                            @endforeach
                             </tbody>
                         </table>
@@ -512,12 +263,6 @@
                 <div class="card-body">
                     <div class="d-md-flex mb-2 mb-sm-0 justify-content-between">
-                        <h6 class="card-title">Activities</h6>
-                        <div>
-                            <div id="reportrange" class="form-control">
-                                <span></span>
-                            </div>
-                        </div>
-                    </div>
-                    <div id="ecommerce-activity-chart"></div>
+                        <canvas id="canvas"></canvas>
+                    </div>
                 </div>
             </div>
@@ -527,6 +272,6 @@
                 <div class="card-body pb-0">
                     <div class="d-flex justify-content-between align-items-start mb-3">
-                        <h6 class="card-title mb-0">Top Sales</h6>
-                        <a href="#" class="small">All Sales</a>
+                        <h6 class="card-title mb-0">Largest departments</h6>
+                        <a href="{{route("dashboard.departments.index")}}" class="small text-linkedin">View</a>
                     </div>
                 </div>
@@ -535,57 +280,20 @@
                         <thead>
                         <tr>
-                            <th>Product</th>
-                            <th>Total Sales</th>
+                            <th>Department</th>
+                            <th>Number of folders</th>
                         </tr>
                         </thead>
                         <tbody>
+                        @foreach($largestDepartments as $department)
                         <tr>
+
                             <td>
-                                <a href="#">Apple</a>
+                                <a href="#">{{$department->name}}</a>
                             </td>
-                            <td>21</td>
+                            <td>
+                                <a href="#">{{$department->no_of_folders}}</a>
+                            </td>
                         </tr>
-                        <tr>
-                            <td>
-                                <a href="#">Samsung <span class="badge badge-danger ml-1">New</span></a>
-                            </td>
-                            <td>52</td>
-                        </tr>
-                        <tr>
-                            <td>
-                                <a href="#">Huawei</a>
-                            </td>
-                            <td>74</td>
-                        </tr>
-                        <tr>
-                            <td>
-                                <a href="#">General Mobile</a>
-                            </td>
-                            <td>25</td>
-                        </tr>
-                        <tr>
-                            <td>
-                                <a href="#">Xiaomi</a>
-                            </td>
-                            <td>11</td>
-                        </tr>
-                        <tr>
-                            <td>
-                                <a href="#">Nokia</a>
-                            </td>
-                            <td>8</td>
-                        </tr>
-                        <tr>
-                            <td>
-                                <a href="#">Sony</a>
-                            </td>
-                            <td>5</td>
-                        </tr>
-                        <tr>
-                            <td>
-                                <a href="#">Alcatel</a>
-                            </td>
-                            <td>5</td>
-                        </tr>
+                        @endforeach
                         </tbody>
                     </table>
@@ -594,390 +302,4 @@
         </div>
     </div>
-
-    <div class="row">
-        <div class="col-md-6">
-            <div class="card">
-                <div class="card-body">
-                    <h6 class="card-title d-flex justify-content-between">
-                        <span>Income Distribution</span>
-                        <span class="dropdown">
-                            <a class="btn btn-outline-light btn-sm dropdown-toggle" href="#"
-                               data-toggle="dropdown">USA</a>
-                            <span class="dropdown-menu dropdown-menu-right">
-                                <a href="#" class="dropdown-item">USA</a>
-                                <a href="#" class="dropdown-item">Germany</a>
-                                <a href="#" class="dropdown-item">France</a>
-                                <a href="#" class="dropdown-item">Italy</a>
-                            </span>
-                        </span>
-                    </h6>
-                    <div id="vmap_usa_en" style="height: 300px"></div>
-                </div>
-                <div class="table-responsive">
-                    <table class="table table-borderless table-lg table-striped mb-0">
-                        <thead>
-                        <tr>
-                            <th class="wd-40">States</th>
-                            <th class="wd-25 text-center">Orders</th>
-                            <th class="wd-35 text-center">Earnings</th>
-                            <th class="wd-35"></th>
-                        </tr>
-                        </thead>
-                        <tbody>
-                        <tr>
-                            <td>California</td>
-                            <td class="text-center">12,201</td>
-                            <td class="text-center text-success">$150,200.80</td>
-                            <td class="text-right">
-                                <a href="#" data-toggle="tooltip" title="Detail">
-                                    <i class="fa fa-external-link"></i>
-                                </a>
-                            </td>
-                        </tr>
-                        <tr>
-                            <td>Texas</td>
-                            <td class="text-center">11,950</td>
-                            <td class="text-center text-success">$138,910.20</td>
-                            <td class="text-right">
-                                <a href="#" data-toggle="tooltip" title="Detail">
-                                    <i class="fa fa-external-link"></i>
-                                </a>
-                            </td>
-                        </tr>
-                        <tr>
-                            <td>Wyoming</td>
-                            <td class="text-center">11,198</td>
-                            <td class="text-center text-danger">$132,050.00</td>
-                            <td class="text-right">
-                                <a href="#" data-toggle="tooltip" title="Detail">
-                                    <i class="fa fa-external-link"></i>
-                                </a>
-                            </td>
-                        </tr>
-                        <tr>
-                            <td>Florida</td>
-                            <td class="text-center">9,885</td>
-                            <td class="text-center text-success">$127,762.10</td>
-                            <td class="text-right">
-                                <a href="#" data-toggle="tooltip" title="Detail">
-                                    <i class="fa fa-external-link"></i>
-                                </a>
-                            </td>
-                        </tr>
-                        <tr>
-                            <td>New York</td>
-                            <td class="text-center">21,198</td>
-                            <td class="text-center text-danger">$432,410.00</td>
-                            <td class="text-right">
-                                <a href="#" data-toggle="tooltip" title="Detail">
-                                    <i class="fa fa-external-link"></i>
-                                </a>
-                            </td>
-                        </tr>
-                        <tr>
-                            <td>Montana</td>
-                            <td class="text-center">2,885</td>
-                            <td class="text-center text-success">$7,100.00</td>
-                            <td class="text-right">
-                                <a href="#" data-toggle="tooltip" title="Detail">
-                                    <i class="fa fa-external-link"></i>
-                                </a>
-                            </td>
-                        </tr>
-                        </tbody>
-                    </table>
-                </div>
-            </div>
-        </div>
-        <div class="col-md-6">
-            <div class="card">
-                <div class="card-body">
-                    <div class="card-title d-flex justify-content-between">
-                        <h6 class="card-title">Revenue by Country</h6>
-                        <div>
-                            <a href="#" class="btn btn-outline-light btn-sm mr-2">
-                                <i class="fa fa-refresh"></i>
-                            </a>
-                            <div class="dropdown">
-                                <a href="#" data-toggle="dropdown"
-                                   class="btn btn-outline-light btn-sm"
-                                   aria-haspopup="true" aria-expanded="false">
-                                    <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
-                                </a>
-                                <div class="dropdown-menu dropdown-menu-right">
-                                    <a class="dropdown-item" href="#">Action</a>
-                                    <a class="dropdown-item" href="#">Another action</a>
-                                    <a class="dropdown-item" href="#">Something else here</a>
-                                </div>
-                            </div>
-                        </div>
-                    </div>
-                    <p>Total Revenue</p>
-                    <h2 class="mb-4 font-size-35">$469,453</h2>
-                    <div class="progress mb-3" style="height: 10px">
-                        <div class="progress-bar w-25 bg-secondary-gradient" role="progressbar"></div>
-                        <div class="progress-bar w-50 bg-info-gradient" role="progressbar"></div>
-                        <div class="progress-bar w-25 bg-warning-gradient" role="progressbar"></div>
-                        <div class="progress-bar w-25 bg-success-gradient" role="progressbar"></div>
-                        <div class="progress-bar w-50 bg-danger-gradient" role="progressbar"></div>
-                    </div>
-                </div>
-                <div class="p-4 bg-dark-gradient">
-                    <ul class="list-inline ">
-                        <li class="list-inline-item mr-4 mb-3">
-                            <div class="d-flex align-items-center">
-                                <span class="d-inline-flex align-items-center">
-                                    <i class="fa fa-circle text-secondary mr-1 small"></i> Russia
-                                </span>
-                                <small class="ml-3 text-success d-inline-flex align-items-center">
-                                    <i class="fa fa-caret-up mr-1"></i> 40%
-                                </small>
-                            </div>
-                        </li>
-                        <li class="list-inline-item mr-4 mb-3">
-                            <div class="d-flex align-items-center">
-                                <span class="d-inline-flex align-items-center">
-                                    <i class="fa fa-circle text-info mr-1 small"></i> Australia
-                                </span>
-                                <small class="ml-3 text-danger d-inline-flex align-items-center">
-                                    <i class="fa fa-caret-down mr-1"></i> 25%
-                                </small>
-                            </div>
-                        </li>
-                        <li class="list-inline-item mr-4 mb-3">
-                            <div class="d-flex align-items-center">
-                                <span class="d-inline-flex align-items-center">
-                                <i class="fa fa-circle text-warning mr-1 small"></i> China
-                                </span>
-                                <small class="ml-3 text-success d-inline-flex align-items-center">
-                                    <i class="fa fa-caret-up mr-1"></i> 30%
-                                </small>
-                            </div>
-                        </li>
-                        <li class="list-inline-item mr-4 mb-3">
-                            <div class="d-flex align-items-center">
-                                <span class="d-inline-flex align-items-center">
-                                <i class="fa fa-circle text-success mr-1 small"></i> Tunisia
-                                </span>
-                                <small class="ml-3 text-success d-inline-flex align-items-center">
-                                    <i class="fa fa-caret-up mr-1"></i> 10%
-                                </small>
-                            </div>
-                        </li>
-                        <li class="list-inline-item mr-4 mb-3">
-                            <div class="d-flex align-items-center">
-                                <span class="d-inline-flex align-items-center">
-                                <i class="fa fa-circle text-success mr-1 small"></i> Spain
-                                </span>
-                                <small class="ml-3 text-danger d-inline-flex align-items-center">
-                                    <i class="fa fa-caret-down mr-1"></i> 10%
-                                </small>
-                            </div>
-                        </li>
-                    </ul>
-                </div>
-            </div>
-            <div class="card">
-                <div class="card-body">
-                    <h6 class="card-title">Reviews</h6>
-                    <div class="card-scroll">
-                        <ul class="list-group list-group-flush">
-                            <li class="list-group-item d-flex pl-0 pr-0">
-                                <a href="#">
-                                    <figure class="avatar mr-3">
-                                        <img src="{{ url('assets/media/image/user/man_avatar1.jpg') }}" class="rounded-circle" alt="image">
-                                    </figure>
-                                </a>
-                                <div>
-                                    <div class="d-flex justify-content-between">
-                                        <a href="#">
-                                            <h6>Valentine Maton</h6>
-                                            <ul class="list-inline mb-1">
-                                                <li class="list-inline-item mb-0">
-                                                    <i class="fa fa-star text-warning"></i>
-                                                </li>
-                                                <li class="list-inline-item mb-0">
-                                                    <i class="fa fa-star text-warning"></i>
-                                                </li>
-                                                <li class="list-inline-item mb-0">
-                                                    <i class="fa fa-star text-warning"></i>
-                                                </li>
-                                                <li class="list-inline-item mb-0">
-                                                    <i class="fa fa-star text-warning"></i>
-                                                </li>
-                                                <li class="list-inline-item mb-0">
-                                                    <i class="fa fa-star text-warning"></i>
-                                                </li>
-                                                <li class="list-inline-item mb-0">(5)</li>
-                                            </ul>
-                                        </a>
-                                        <div class="ml-auto">
-                                            <div class="dropdown">
-                                                <a href="#" data-toggle="dropdown"
-                                                   class="btn btn-outline-light btn-sm"
-                                                   aria-haspopup="true" aria-expanded="false">
-                                                    <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
-                                                </a>
-                                                <div class="dropdown-menu dropdown-menu-right">
-                                                    <a href="#" class="dropdown-item">View</a>
-                                                    <a href="#" class="dropdown-item">Send Message</a>
-                                                </div>
-                                            </div>
-                                        </div>
-                                    </div>
-                                    <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Odio, tempora.</p>
-                                </div>
-                            </li>
-                            <li class="list-group-item d-flex pl-0 pr-0">
-                                <a href="#">
-                                    <figure class="avatar mr-3">
-                                        <img src="{{ url('assets/media/image/user/man_avatar2.jpg') }}" class="rounded-circle" alt="image">
-                                    </figure>
-                                </a>
-                                <div>
-                                    <div class="d-flex justify-content-between">
-                                        <a href="#">
-                                            <h6>Valentine Maton</h6>
-                                            <ul class="list-inline mb-1">
-                                                <li class="list-inline-item mb-0">
-                                                    <i class="fa fa-star text-warning"></i>
-                                                </li>
-                                                <li class="list-inline-item mb-0">
-                                                    <i class="fa fa-star text-warning"></i>
-                                                </li>
-                                                <li class="list-inline-item mb-0">
-                                                    <i class="fa fa-star text-warning"></i>
-                                                </li>
-                                                <li class="list-inline-item mb-0">
-                                                    <i class="fa fa-star-half-o text-warning"></i>
-                                                </li>
-                                                <li class="list-inline-item mb-0">
-                                                    <i class="fa fa-star-o"></i>
-                                                </li>
-                                                <li class="list-inline-item mb-0">(3.5)</li>
-                                            </ul>
-                                        </a>
-                                        <div class="ml-auto">
-                                            <div class="dropdown">
-                                                <a href="#" data-toggle="dropdown"
-                                                   class="btn btn-outline-light btn-sm"
-                                                   aria-haspopup="true" aria-expanded="false">
-                                                    <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
-                                                </a>
-                                                <div class="dropdown-menu dropdown-menu-right">
-                                                    <a href="#" class="dropdown-item">View</a>
-                                                    <a href="#" class="dropdown-item">Send Message</a>
-                                                </div>
-                                            </div>
-                                        </div>
-                                    </div>
-                                    <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Odio, tempora.</p>
-                                </div>
-                            </li>
-                            <li class="list-group-item d-flex pl-0 pr-0">
-                                <a href="#">
-                                    <figure class="avatar mr-3">
-                                        <img src="{{ url('assets/media/image/user/man_avatar3.jpg') }}" class="rounded-circle" alt="image">
-                                    </figure>
-                                </a>
-                                <div>
-                                    <div class="d-flex justify-content-between">
-                                        <a href="#">
-                                            <h6>Valentine Maton</h6>
-                                            <ul class="list-inline mb-1">
-                                                <li class="list-inline-item mb-0">
-                                                    <i class="fa fa-star text-warning"></i>
-                                                </li>
-                                                <li class="list-inline-item mb-0">
-                                                    <i class="fa fa-star text-warning"></i>
-                                                </li>
-                                                <li class="list-inline-item mb-0">
-                                                    <i class="fa fa-star text-warning"></i>
-                                                </li>
-                                                <li class="list-inline-item mb-0">
-                                                    <i class="fa fa-star text-warning"></i>
-                                                </li>
-                                                <li class="list-inline-item mb-0">
-                                                    <i class="fa fa-star-half-o text-warning"></i>
-                                                </li>
-                                                <li class="list-inline-item mb-0">(4.5)</li>
-                                            </ul>
-                                        </a>
-                                        <div class="ml-auto">
-                                            <div class="dropdown">
-                                                <a href="#" data-toggle="dropdown"
-                                                   class="btn btn-outline-light btn-sm"
-                                                   aria-haspopup="true" aria-expanded="false">
-                                                    <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
-                                                </a>
-                                                <div class="dropdown-menu dropdown-menu-right">
-                                                    <a href="#" class="dropdown-item">View</a>
-                                                    <a href="#" class="dropdown-item">Send Message</a>
-                                                </div>
-                                            </div>
-                                        </div>
-                                    </div>
-                                    <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Odio, tempora.</p>
-                                </div>
-                            </li>
-                            <li class="list-group-item d-flex pl-0 pr-0">
-                                <a href="#">
-                                    <figure class="avatar mr-3">
-                                        <img src="{{ url('assets/media/image/user/man_avatar4.jpg') }}" class="rounded-circle" alt="image">
-                                    </figure>
-                                </a>
-                                <div>
-                                    <div class="d-flex justify-content-between">
-                                        <a href="#">
-                                            <h6>Valentine Maton</h6>
-                                            <ul class="list-inline mb-1">
-                                                <li class="list-inline-item mb-0">
-                                                    <i class="fa fa-star text-warning"></i>
-                                                </li>
-                                                <li class="list-inline-item mb-0">
-                                                    <i class="fa fa-star text-warning"></i>
-                                                </li>
-                                                <li class="list-inline-item mb-0">
-                                                    <i class="fa fa-star text-warning"></i>
-                                                </li>
-                                                <li class="list-inline-item mb-0">
-                                                    <i class="fa fa-star text-warning"></i>
-                                                </li>
-                                                <li class="list-inline-item mb-0">
-                                                    <i class="fa fa-star-o"></i>
-                                                </li>
-                                                <li class="list-inline-item mb-0">(4)</li>
-                                            </ul>
-                                        </a>
-                                        <div class="ml-auto">
-                                            <div class="dropdown">
-                                                <a href="#" data-toggle="dropdown"
-                                                   class="btn btn-outline-light btn-sm"
-                                                   aria-haspopup="true" aria-expanded="false">
-                                                    <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
-                                                </a>
-                                                <div class="dropdown-menu dropdown-menu-right">
-                                                    <a href="#" class="dropdown-item">View</a>
-                                                    <a href="#" class="dropdown-item">Send Message</a>
-                                                </div>
-                                            </div>
-                                        </div>
-                                    </div>
-                                    <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Odio, tempora.</p>
-                                </div>
-                            </li>
-                        </ul>
-                    </div>
-                    <div class="mt-3 text-center">
-                        <a href="#" class="btn btn-primary">
-                            View All
-                        </a>
-                    </div>
-                </div>
-            </div>
-
-        </div>
-    </div>
-
 @endsection
 
@@ -1019,4 +341,38 @@
 
     <script src="{{ url('assets/js/examples/pages/ecommerce-dashboard.js') }}"></script>
-
+    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.9.3/Chart.min.js"></script>
+    <script>
+        var year = <?php echo $year; ?>;
+        var file = <?php echo $file; ?>;
+        var barChartData = {
+            labels: year,
+            datasets: [{
+                label: 'File',
+                backgroundColor: "red",
+                data: file
+            }]
+        };
+
+        window.onload = function() {
+            var ctx = document.getElementById("canvas").getContext("2d");
+            window.myBar = new Chart(ctx, {
+                type: 'bar',
+                data: barChartData,
+                options: {
+                    elements: {
+                        rectangle: {
+                            borderWidth: 2,
+                            borderColor: '#c1c1c1',
+                            borderSkipped: 'bottom'
+                        }
+                    },
+                    responsive: true,
+                    title: {
+                        display: true,
+                        text: 'Yearly uploaded files'
+                    }
+                }
+            });
+        };
+    </script>
 @endsection
Index: resources/views/dashboard/notifications/index.blade.php
===================================================================
--- resources/views/dashboard/notifications/index.blade.php	(revision c6b84df06586305606df5b76204a64cdc63b09a2)
+++ resources/views/dashboard/notifications/index.blade.php	(revision 4b7e2d354e16238fe8e560dc6dd0849218183335)
@@ -2,6 +2,4 @@
 
 @section("title", "SaveSpace - Users")
-
-@section('pageTitle', 'Users')
 
 @section('head')
Index: resources/views/dashboard/settings/index.blade.php
===================================================================
--- resources/views/dashboard/settings/index.blade.php	(revision c6b84df06586305606df5b76204a64cdc63b09a2)
+++ resources/views/dashboard/settings/index.blade.php	(revision 4b7e2d354e16238fe8e560dc6dd0849218183335)
@@ -2,6 +2,4 @@
 
 @section("title", "User Settings")
-
-@section('pageTitle', 'User Settings')
 
 @section('content')
Index: resources/views/dashboard/users/index.blade.php
===================================================================
--- resources/views/dashboard/users/index.blade.php	(revision c6b84df06586305606df5b76204a64cdc63b09a2)
+++ resources/views/dashboard/users/index.blade.php	(revision 4b7e2d354e16238fe8e560dc6dd0849218183335)
@@ -2,6 +2,4 @@
 
 @section("title", "SaveSpace - Users")
-
-@section('pageTitle', 'Users')
 
 @section('head')
@@ -42,10 +40,7 @@
                                 <th>Username</th>
                                 <th>Name</th>
-                                <th>Email</th>
-                                <th>Phone Number</th>
                                 <th>Created by</th>
                                 <th>Created at</th>
                                 <th>Updated at</th>
-                                <th>Role</th>
                                 <th>Status</th>
                                 <th>Actions</th>
@@ -71,7 +66,9 @@
                                         {{$user->username}}
                                     </td>
-                                    <td>{{$user->name .' '. $user->surname}}</td>
-                                    <td>{{$user->email}}</td>
-                                    <td>{{$user->phone_number}}</td>
+                                    <td>{{$user->name .' '. $user->surname}}
+                                    <div class="font-weight-light p-1">{{$user->role->name}}</div>
+                                    <div class="font-weight-light p-1">{{$user->email}}</div>
+                                    <div class="font-weight-light p-1">{{$user->phone_number}}</div>
+                                    </td>
                                     <td>{{ $user->getCreatedByName() }}</td>
                                     <td>{{ date('d.m.Y - H:i', strtotime($user->created_at)) }}</td>
@@ -81,5 +78,4 @@
                                         <td>{{ date('d.m.Y - H:i', strtotime($user->updated_at)) }}</td>
                                     @endif
-                                    <td>{{ $user->role->name }}</td>
                                     <td>
                                         @if(Cache::has('is_online' . $user->id))
@@ -99,5 +95,5 @@
                                         </td>
                                     @else
-                                        <td>Admin</td>
+                                        <td>/</td>
                                         @endif
                                 </tr>
Index: resources/views/layouts/app.blade.php
===================================================================
--- resources/views/layouts/app.blade.php	(revision c6b84df06586305606df5b76204a64cdc63b09a2)
+++ resources/views/layouts/app.blade.php	(revision 4b7e2d354e16238fe8e560dc6dd0849218183335)
@@ -5,4 +5,5 @@
     <meta name="viewport" content="width=device-width, initial-scale=1">
     <meta http-equiv="X-UA-Compatible" content="ie=edge">
+    <meta name="csrf-token" content="{{ csrf_token() }}">
     <title>@yield('title')</title>
 
@@ -18,4 +19,5 @@
     <link rel="stylesheet" href="{{ url('assets/css/app.min.css') }}" type="text/css">
     <link rel="stylesheet" href="{{ url('vendors/lightbox/magnific-popup.css') }}" type="text/css">
+
 
 </head>
@@ -125,20 +127,32 @@
                     <!-- begin::header notification dropdown -->
                     <li class="nav-item dropdown">
-                    <div class="dropdown dropdown-notifications-wrapper dropdown-menu-right dropdown-menu-big">
-                        <a href="javascript:void(0)" class="nav-link dropdown-notifications-unread icon" data-toggle="dropdown">
-                            <i data-feather="bell"></i>
-                            <span class="nav-unread"></span>
-                        </a>
-                        <div class="dropdown-menu dropdown-notifications dropdown-menu-right dropdown-menu-big">
-                            <div class="bg-dark p-4 text-center d-flex justify-content-between align-items-center">
-                                <h5 class="mb-0">Notifications</h5>
+{{--                    <div class="dropdown dropdown-notifications-wrapper dropdown-menu-right dropdown-menu-big">--}}
+{{--                        <a href="javascript:void(0)" class="nav-link dropdown-notifications-unread icon" data-toggle="dropdown">--}}
+{{--                            <i data-feather="bell"></i>--}}
+{{--                            <span class="nav-unread"></span>--}}
+{{--                        </a>--}}
+{{--                        <div class="dropdown-menu dropdown-notifications dropdown-menu-right dropdown-menu-big">--}}
+{{--                            <div class="bg-dark p-4 text-center d-flex justify-content-between align-items-center">--}}
+{{--                                <h5 class="mb-0">Notifications</h5>--}}
+{{--                            </div>--}}
+{{--                            <div class="p-4 text-center align-items-center">--}}
+{{--                            <p class='text-center unreadNotificationsInfo'>No unread notifications</p>--}}
+{{--                            </div>--}}
+{{--                            <div class="dropdown-divider"></div>--}}
+{{--                            <a href="{{ route("dashboard.notifications.index") }}" class="dropdown-item text-center text-muted-dark">See all</a>--}}
+{{--                        </div>--}}
+{{--                    </div>--}}
+
+                        <div class="dropdown dropdown-notifications-wrapper d-none d-md-flex">
+                            <a class="nav-link dropdown-notifications-unread icon" data-toggle="dropdown">
+                                <i class="fe fe-bell"></i>
+                                <span class="nav-unread"></span>
+                            </a>
+                            <div class="dropdown-menu dropdown-notifications dropdown-menu-right dropdown-menu-arrow">
+                                <p class='text-center unreadNotificationsInfo'>No unread notifications</p>
+                                <div class="dropdown-divider"></div>
+                                <a href="{{ route("dashboard.notifications.index") }}" class="dropdown-item text-center text-muted-dark">See all</a>
                             </div>
-                            <div class="p-4 text-center align-items-center">
-                            <p class='text-center unreadNotificationsInfo'>No unread notifications</p>
-                            </div>
-                            <div class="dropdown-divider"></div>
-                            <a href="{{ route("dashboard.notifications.index") }}" class="dropdown-item text-center text-muted-dark">See all</a>
                         </div>
-                    </div>
                     </li>
 
